version: '3.7'
services:
  db:
    image: postgres:14-alpine
    environment:
      - POSTGRES_USER=app
      - POSTGRES_PASSWORD=pass
      - POSTGRES_DB=db
    ports:
      - '5432:5432'
    volumes:
      - ./docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d:ro
  server:
    image: boot-tickets
    build: .
    environment:
      - JDBC_URL=jdbc:postgresql://db:5432/db?user=app&password=pass
    ports:
      - '8080:8080'
      - '9999:9999'
    depends_on:
      - db
